package gui;

import java.awt.BorderLayout;

import javax.swing.JFrame;

import rns.Main;

public class Window {
	Gui []textBox;
	int []linesPrint;
	int channelsPrint;


	public Window(String name){
		linesPrint = new int[3];
		textBox= new Gui[3];
		
		for (int i = 0;i<3;i++){
			linesPrint[i]=0;
		}
		channelsPrint=0;
		//Create and set up the window.
        JFrame frame = new JFrame(name);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
 
        //Add contents to the window.
        textBox[1]= new Gui("Moduli Base 1");
        textBox[2]= new Gui("Moduli Base 2");
        textBox[0]= new Gui("Redundant Modulus");
        frame.getContentPane().add(textBox[0], BorderLayout.EAST);
        frame.getContentPane().add(textBox[2], BorderLayout.CENTER);
        frame.getContentPane().add(textBox[1], BorderLayout.WEST);
        //Display the window.
        frame.pack();
        frame.setVisible(true);
	}
	
    public void print(String text,int base) {
    	if(base!=0){
    		while(linesPrint[base]<linesPrint[0]){
    			textBox[base].printJpanel("\n");
    			linesPrint[base]++;
    		}
    		textBox[base].printJpanel(text);
    		channelsPrint++;
    		if(channelsPrint==Main.MODULI_NO){
    			textBox[base].printJpanel("\n");
    			linesPrint[base]++;
    			channelsPrint=0;
    		}
    	}else{
    		textBox[base].printJpanel(text);
    		textBox[base].printJpanel("\n");
    		linesPrint[base]++;
    	}
	}

    

}
