 
package gui;
 
 
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
 
public class Gui extends JPanel implements ActionListener {
    //protected JTextField textField;
    protected JTextArea textArea;
    private final static String newline = "\n";
 
    public Gui(String name) {
        super(new GridBagLayout());
        JLabel label = new JLabel(name);
 
        textArea = new JTextArea(30, 30);
        textArea.setEditable(false);
        JScrollPane scrollPane = new JScrollPane(textArea);
 
        //Add Components to this panel.
        GridBagConstraints c = new GridBagConstraints();
        c.gridwidth = GridBagConstraints.REMAINDER;
 
        c.fill = GridBagConstraints.HORIZONTAL;
        add(label, c);
 
        c.fill = GridBagConstraints.BOTH;
        c.weightx = 1.0;
        c.weighty = 1.0;
        add(scrollPane, c);
    }
 
    public void actionPerformed(ActionEvent evt) {
        textArea.setCaretPosition(textArea.getDocument().getLength());
    }
    
    void printJpanel(String text) {
        textArea.append(" || "+text);// + newline);
        textArea.setCaretPosition(textArea.getDocument().getLength());
    }
 
    /**
     * Create the GUI and show it.  For thread safety,
     * this method should be invoked from the
     * event dispatch thread.
     */
    public void createAndShowGUI() {
        //Create and set up the window.
        JFrame frame = new JFrame("TextDemo");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
 
        //Add contents to the window.
        frame.add(new Gui("test"));
 
        //Display the window.
        frame.pack();
        frame.setVisible(true);
    }
 
}
